%global modulename npm-pick-manifest

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-npm-pick-manifest
Version:        2.2.3
Release:        1%{?dist}
Summary:        Resolves a matching manifest from a package metadata document according to standard npm semver resolution rules.

License:        ISC
URL:            https://github.com/zkat/npm-pick-manifest#readme
Source0:        https://registry.npmjs.org/npm-pick-manifest/-/npm-pick-manifest-2.2.3.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(figgy-pudding) >= 3.5.1 with npmlib(figgy-pudding) < 4.0.0))
BuildRequires:  ((npmlib(npm-package-arg) >= 6.0.0 with npmlib(npm-package-arg) < 7.0.0))
BuildRequires:  ((npmlib(semver) >= 5.4.1 with npmlib(semver) < 6.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Resolves a matching manifest from a package metadata document according to standard npm semver resolution rules.

%package 2.2.3
Summary:        Resolves a matching manifest from a package metadata document according to standard npm semver resolution rules.


%description 2.2.3
Resolves a matching manifest from a package metadata document according to standard npm semver resolution rules.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 2.2.3
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.2.3-1
- Package automatically generated by npm2srpm
